Bug 198457 - spurious FIN,ACK when browsing certain websites
Summary: spurious FIN,ACK when browsing certain websites
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: David Miller
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-11 12:38 UTC by Graham King
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-23 18:49:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tcpdump of failed connection under kernel 2.6.17-1.2141_FC4smp (18.42 KB, application/octet-stream)
2006-07-11 12:38 UTC, Graham King
no flags Details
tcpdump of another failed connection (7.08 KB, application/octet-stream)
2006-07-11 12:40 UTC, Graham King
no flags Details
third consecutive failed connection (11.68 KB, application/octet-stream)
2006-07-11 12:41 UTC, Graham King
no flags Details

Description Graham King 2006-07-11 12:38:43 UTC
Description of problem:
When browsing, for example, http://www.hmcourts-service.gov.uk/cms/cause.htm the
page is partially displayed, and the browser hangs (for hours) with status
"transferring data from..." 

Version-Release number of selected component (if applicable):
2.6.17-1.2139_FC4smp and 2.6.17-1.2141_FC4smp fail.
2.6.16-1.2107_FC4smp (on the same machine) is not affected (able to browse
without problems).


How reproducible:
always, but failure occurs at different points in the http stream.
Other browser-hosts (inc. WinXP) using squid proxy on the Linux box are also
affected.  (Use of proxy by local browser on affected FC4 box, makes no difference).

Steps to Reproduce:
1. boot into 2.6.17 kernel.
2. browse to http://www.hmcourts-service.gov.uk/cms/cause.htm
3. fail to download complete page.
  
Actual results:
tcpdumps to be attached.

Expected results:
download complete page.  (Note, the webserver is up and running OK, and can be
verified using browsers on other OSes)

Additional info:

Comment 1 Graham King 2006-07-11 12:38:44 UTC
Created attachment 132233 [details]
tcpdump of failed connection under kernel 2.6.17-1.2141_FC4smp

Comment 2 Graham King 2006-07-11 12:40:27 UTC
Created attachment 132234 [details]
tcpdump of another failed connection

Comment 3 Graham King 2006-07-11 12:41:47 UTC
Created attachment 132235 [details]
third consecutive failed connection

Comment 4 Dave Jones 2006-09-17 03:28:52 UTC
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.


Comment 5 Graham King 2006-09-17 09:13:06 UTC
No FC5 machine available at present.  Will retest with FC6 when available.  

Comment 6 Dave Jones 2007-04-23 18:49:50 UTC
This isn't a kernel bug. The remote end (or a router between) has broken window
scaling.

You can confirm this by turning off window scaling using..

echo 0 > /proc/sys/net/ipv4/tcp_window_scaling

which makes the page load instantly.


Note You need to log in before you can comment on or make changes to this bug.